#!/bin/sh
echo $@ > /tmp/panel.sh.log

CONFIG=/etc/asterisk/alarmreceiver.conf
DIR=$(/bin/grep eventspooldir ${CONFIG} 2>/dev/null|awk -F= '{print $2}' | sed -e 's/\ *//')

[ -z "${DIR}" ] && echo "Cant find Alarm Dir in Config ${CONFIG}" && exit 1;

for i in $(ls -1 ${DIR}/event-* 2>/dev/null); do
	/usr/bin/php index.php task:load --file=${i}
done
